handle_cookies {curl} | R Documentation

## Extract cookies from a handle

### Description

The `handle_cookies` function returns a data frame with 7 columns as specified in the netscape cookie file format.

### Usage

    handle_cookies(handle)

### Arguments

`handle` | a curl handle object

### See Also

Other handles: `handle`

### Examples

    h <- new_handle()
    handle_cookies(h)

    # Server sets cookies
    req <- curl_fetch_memory("http://httpbin.org/cookies/set?foo=123&bar=ftw", handle = h)
    handle_cookies(h)

    # Server deletes cookies
    req <- curl_fetch_memory("http://httpbin.org/cookies/delete?foo", handle = h)
    handle_cookies(h)

    # Cookies will survive a reset!
    handle_reset(h)
    handle_cookies(h)

[Package curl version 2.6 Index]